xoops forums

Catzwolf

Home away from home
Posted on: 2009/3/16 22:15
Catzwolf
Catzwolf (Show more)
Home away from home
Posts: 1392
Since: 2007/9/30
#51

Re: XOOPS 2.3.3 Final Issues

Yes, but we will be releasing a 2.3.4 maintenance version. (according to the roadmap).

dbman

Friend of XOOPS
Posted on: 2009/3/16 23:11
dbman
dbman (Show more)
Friend of XOOPS
Posts: 172
Since: 2005/4/28
#52

Re: XOOPS 2.3.3 Final Issues

I've upgraded a couple of sites from 2.3.2b to 2.3.3 and legacy admin theme works for both. Perhaps something is missing on new install?

Mamba

Moderator
Posted on: 2009/3/17 0:27
Mamba
Mamba (Show more)
Moderator
Posts: 10826
Since: 2004/4/23
#53

Re: XOOPS 2.3.3 Final Issues

Quote:
does any one have problem with legacy GUI .with XOOPS 2.3.3...? I DO

Try to use Oxygen. It's much better.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Anonymous

Posted on: 2009/3/18 1:40
Anonymous
Anonymous (Show more)
Posts: 0
Since:
#54

Re: XOOPS 2.3.3 Final Issues

I got this error in page_dbconnection.php and page_dbsettings.php:

Warning: htmlspecialchars() [function.htmlspecialchars]: charset
`windows-1256' not supported, assuming iso-8859-1 in
/home/xx/public_html/class/module.textsanitizer.php on line 422

and these errors in page_tablescreate.php:

Warning: include_once() [function.include-once]: Unable to access
/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php in
/home/xx/public_html/install/class/dbmanager.php on line 28

Warning:
include_once(/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php)
[function.include-once]: failed to open stream: Permission denied in
/home/xx/public_html/install/class/dbmanager.php on line 28

Warning: include_once() [function.include]: Failed opening
'/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php' for
inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in
/home/xx/public_html/install/class/dbmanager.php on line 28

Warning: require_once() [function.require-once]: Unable to access
/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php in
/home/xx/public_html/class/database/databasefactory.php on line 53

Warning:
require_once(/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php)
[function.require-once]: failed to open stream: Permission denied in
/home/xx/public_html/class/database/databasefactory.php on line 53

Fatal error: require_once() [function.require]: Failed opening required
'/home/xx/public_html/class/database/XOOPS_DB_TYPEdatabase.php'
(include_path='.:/usr/lib/php:/usr/local/lib/php') in
/home/xx/public_html/class/database/databasefactory.php on line 53

Catzwolf

Home away from home
Posted on: 2009/3/18 1:58
Catzwolf
Catzwolf (Show more)
Home away from home
Posts: 1392
Since: 2007/9/30
#55

Re: XOOPS 2.3.3 Final Issues

The problem is that htmlspecialchars doesn't accept many types of encoding, that being one of them.

It looks like some defines are missing for the installer. This could be a residual effect of the first error but I cannot be 100% sure about that.

i would suggest this as a test. edit xoops_root/class/module.textsanitizer.php and edit out a few lines like this: Around line 418:

function htmlSpecialChars$text$quote_style ENT_QUOTES$charset "ISO-8859-1"$double_encode true )
    {
        
//return preg_replace("/&/i", '&', htmlspecialchars($text, ENT_QUOTES));
        //if ( version_compare( phpversion(), "5.2.3", ">=" ) ) {
        //    $text = htmlspecialchars( $text, $quote_style, $charset, $double_encode );
        //} else {
            
$text htmlspecialchars$text$quote_style);
        
//}
        
return preg_replace(
                            array(
"/&/i""/ /i"),
                            array(
'&'' '),
                            
$text);
    }


And try the install procedure again.

Catz

Anonymous

Posted on: 2009/3/18 2:04
Anonymous
Anonymous (Show more)
Posts: 0
Since:
#56

Re: XOOPS 2.3.3 Final Issues

Thanks Catz .. the installation was finished without modify this file, I just have one problem fixed manually which is can't save data in mainfile.php file because copy() is disabled, so I fix it by adding it manually.

Catzwolf

Home away from home
Posted on: 2009/3/18 2:12
Catzwolf
Catzwolf (Show more)
Home away from home
Posts: 1392
Since: 2007/9/30
#57

Re: XOOPS 2.3.3 Final Issues

Copy() is not working? Could this not be a permission issue instead or has your hoster disabled copy()?

Anonymous

Posted on: 2009/3/18 2:30
Anonymous
Anonymous (Show more)
Posts: 0
Since:
#58

Re: XOOPS 2.3.3 Final Issues

I want to know if joomla, drupal, wordpress, .. etc using copy() for saving data in configuration file.

Yes, I think copy() is diabled by hoster. I didn't got any error related to copy(), I just got:

"Could not copy the distribution file to mainfile.php"

ghia

Community Support Member
Posted on: 2009/3/18 11:23
ghia
ghia (Show more)
Community Support Member
Posts: 4954
Since: 2008/7/3 1
#59

Re: XOOPS 2.3.3 Final Issues

Quote:
Quote:
does any one have problem with legacy GUI .with XOOPS 2.3.3...? I DO

Try to use Oxygen. It's much better.
This is all to easy! There are already four admin themes and when one has problems referring to a fifth (and on top in beta stage) is a bridge too far for me.
Maybe Oxygen will make it to a next XOOPS version, but the included themes should simply work!

But onasre, if you don't explain what exactly your problem is, it is not possible to find a cure for it.


Mamba

Moderator
Posted on: 2009/3/18 12:15
Mamba
Mamba (Show more)
Moderator
Posts: 10826
Since: 2004/4/23
#60

Re: XOOPS 2.3.3 Final Issues

Quote:
This is all to easy! There are already four admin themes and when one has problems referring to a fifth (and on top in beta stage) is a bridge too far for me.
Maybe Oxygen will make it to a next XOOPS version, but the included themes should simply work!

I agree.

BTW - legacy works on my three installations after upgrades.

Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs